Bug 87566 - [BlackBerry] Add a constructor to create a Path from an SkPath
Summary: [BlackBerry] Add a constructor to create a Path from an SkPath
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Arvid Nilsson
URL:
Keywords:
Depends on:
Blocks: 87569
  Show dependency treegraph
 
Reported: 2012-05-25 22:19 PDT by Arvid Nilsson
Modified: 2012-05-28 08:04 PDT (History)
3 users (show)

See Also:


Attachments
Patch (2.25 KB, patch)
2012-05-27 06:22 PDT, Arvid Nilsson
no flags Details | Formatted Diff | Diff
Patch (2.24 KB, patch)
2012-05-27 10:58 PDT, Arvid Nilsson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Nilsson 2012-05-25 22:19:07 PDT
commit 00ee90cf093e9004e08e7b4970b5c84be263a295
Author: Arvid Nilsson <anilsson@rim.com>
Date:   Fri May 4 00:20:05 2012 +0200

    2012-05-03  Arvid Nilsson  <anilsson@rim.com>
    
            Add a constructor to create a Path from an SkPath
            PR #154329
    
            Skia allows the creation of more complex paths than WebCore would
            allow. This will be used in the BlackBerry port to implement a default
            tap highlight appearance.
    
            Reviewed by Mike Lattanzio.
    
            * platform/graphics/Path.h:
            (Path):
            * platform/graphics/skia/PathSkia.cpp:
            (WebCore::Path::Path):
            (WebCore):
Comment 1 Arvid Nilsson 2012-05-27 06:22:14 PDT
Created attachment 144229 [details]
Patch
Comment 2 Antonio Gomes 2012-05-27 06:31:15 PDT
Comment on attachment 144229 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=144229&action=review

r+, but lets fix one think before landing: when reuploading, please pre-fill "Reviewed by Antonio Gomes" and just set cq?

> Source/WebCore/platform/graphics/Path.h:162
> +#if PLATFORM(BLACKBERRY) && USE(SKIA)

I would drop the use(skia) here.
Comment 3 Arvid Nilsson 2012-05-27 10:58:01 PDT
Created attachment 144237 [details]
Patch
Comment 4 WebKit Review Bot 2012-05-28 08:04:47 PDT
Comment on attachment 144237 [details]
Patch

Clearing flags on attachment: 144237

Committed r118682: <http://trac.webkit.org/changeset/118682>
Comment 5 WebKit Review Bot 2012-05-28 08:04:52 PDT
All reviewed patches have been landed.  Closing bug.